#include <iostream>
#include <opencv2/opencv.hpp>
#include <input.h>
#include <processing.h>
#include <control_module.h>
#include <interpreter.h>
#include <intersection_handler.h>

using namespace cv;

const int threshold_binary = 110;

int main(void)
{
    //Set up
    Input input;
    Processing processing;
    ControlModule controleModule;
    Interpreter interpreter;
    IntersectionHandler intersectionHandler;

    //Mat image1 = input.readFile("C:\\Line-Following-Robot\\Test_data\\*.jpeg");
    Mat image1 = input.readWebcam();

    processing.calculate_binaray(image1, threshold_binary);
    imshow("Display window", image1);
    waitKey(0);

}